Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rules.model
Class DefaultRuleAtomVisitor

    java.lang.Object
      org.mindswap.pellet.rules.model.DefaultRuleAtomVisitor

All Implemented Interfaces:
  RuleAtomVisitor

    public class DefaultRuleAtomVisitor

extends java.lang.Object
implements RuleAtomVisitor

Title: Default Rule Atom Visitor

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Ron Alford

Constructor Summary
`DefaultRuleAtomVisitor()`

Method Summary
`void` | `visit(BuiltInAtom atom)`
`void` | `visit(ClassAtom atom)`
`void` | `visit(DataRangeAtom atom)`
`void` | `visit(DatavaluedPropertyAtom atom)`
`void` | `visit(DifferentIndividualsAtom atom)`
`void` | `visit(IndividualPropertyAtom atom)`
`void` | `visit(SameIndividualAtom atom)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRuleAtomVisitor

    public DefaultRuleAtomVisitor()

Method Detail

### visit

    public void visit(BuiltInAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

### visit

    public void visit(ClassAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

### visit

    public void visit(DataRangeAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

### visit

    public void visit(DatavaluedPropertyAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

### visit

    public void visit(DifferentIndividualsAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

### visit

    public void visit(IndividualPropertyAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

### visit

    public void visit(SameIndividualAtom atom)

  Specified by:
    `visit` in interface `RuleAtomVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.